Bug 1120791 - Review Request: freesteam - Calculate the properties of water and steam
Summary: Review Request: freesteam - Calculate the properties of water and steam
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 17:25 UTC by Antonio
Modified: 2017-02-07 04:33 UTC (History)
2 users (show)

Fixed In Version: freesteam-2.1-3.20140724svn753.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 15:31:46 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Antonio 2014-07-17 17:25:37 UTC
Spec URL: http://sagitter.fedorapeople.org/freesteam/freesteam.spec
SRPM URL: http://sagitter.fedorapeople.org/freesteam/freesteam-2.1-1.fc20.src.rpm

Description: 
Open source steam property routines in C. 
Implements the IAPWS-IF97 steam tables from the 
International Association for the Properties of Water and Steam. 
Includes two-way property solvers and test suite. 
Can be used from C/C++, Fortran, Python, LabVIEW, Octave and ASCEND.

Fedora Account System Username: sagitter

Comment 1 Antonio 2014-07-17 17:30:09 UTC
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7128364

Comment 2 Christopher Meng 2014-07-21 03:37:02 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in freesteam-gtk
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated". 26 files have unknown license. Detailed output of
     licensecheck:

GPL (v2 or later)
-----------------
freesteam-2.1/ascend/freesteam_ascend.c
freesteam-2.1/b23.c
freesteam-2.1/b23.h
freesteam-2.1/backwards.c
freesteam-2.1/backwards.h
freesteam-2.1/backwards_impl.h
freesteam-2.1/bounds.c
freesteam-2.1/bounds.h
freesteam-2.1/common.c
freesteam-2.1/common.h
freesteam-2.1/compat.h
freesteam-2.1/derivs.c
freesteam-2.1/derivs.h
freesteam-2.1/gtk/callbacks.c
freesteam-2.1/gtk/freesteam-gtk.c
freesteam-2.1/gtk/freesteam-gtk.h
freesteam-2.1/python/tables.py
freesteam-2.1/region1.c
freesteam-2.1/region1.h
freesteam-2.1/region2.c
freesteam-2.1/region2.h
freesteam-2.1/region3.c
freesteam-2.1/region3.h
freesteam-2.1/region4.c
freesteam-2.1/region4.h
freesteam-2.1/solver2.c
freesteam-2.1/solver2.h
freesteam-2.1/steam.c
freesteam-2.1/steam.h
freesteam-2.1/steam_Ts.c
freesteam-2.1/steam_Ts.h
freesteam-2.1/steam_Tx.c
freesteam-2.1/steam_Tx.h
freesteam-2.1/steam_pT.c
freesteam-2.1/steam_pT.h
freesteam-2.1/steam_ph.c
freesteam-2.1/steam_ph.h
freesteam-2.1/steam_ps.c
freesteam-2.1/steam_ps.h
freesteam-2.1/steam_pu.c
freesteam-2.1/steam_pu.h
freesteam-2.1/steam_pv.c
freesteam-2.1/steam_pv.h
freesteam-2.1/steam_uv.c
freesteam-2.1/steam_uv.h
freesteam-2.1/surftens.c
freesteam-2.1/surftens.h
freesteam-2.1/test.c
freesteam-2.1/thcond.c
freesteam-2.1/thcond.h
freesteam-2.1/thcond.py
freesteam-2.1/viscosity.c
freesteam-2.1/viscosity.h
freesteam-2.1/zeroin.c
freesteam-2.1/zeroin.h

GPL (v3 or later)
-----------------
freesteam-2.1/python/hsdiagram.py

LGPL (v2.1)
-----------
freesteam-2.1/scons/disttar.py

Unknown or generated
--------------------
freesteam-2.1/config.h
freesteam-2.1/examples/isentropic.c
freesteam-2.1/labview/fsteam.c
freesteam-2.1/labview/fsteam.h
freesteam-2.1/pyqt/UI_steamTables.py
freesteam-2.1/pyqt/images/images_rc.py
freesteam-2.1/pyqt/units/UI.py
freesteam-2.1/pyqt/units/__init__.py
freesteam-2.1/pyqt/units/config.py
freesteam-2.1/pyqt/units/unidades.py
freesteam-2.1/python/Thdiagram.py
freesteam-2.1/python/defunct/Tsdiagram.py
freesteam-2.1/python/defunct/phdiagram.py
freesteam-2.1/python/defunct/pudiagram.py
freesteam-2.1/python/pTdiagram.py
freesteam-2.1/python/rhoTdiagram.py
freesteam-2.1/python/satcurve.py
freesteam-2.1/python/test.py
freesteam-2.1/python/tsp3d.py
freesteam-2.1/qt/stgui.cpp
freesteam-2.1/qt/stgui.h
freesteam-2.1/scons/ascend.py
freesteam-2.1/scons/gsl.py
freesteam-2.1/scons/gtk.py
freesteam-2.1/scons/nsis.py
freesteam-2.1/scons/substinfile.py

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 133120 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: freesteam-2.1-1.fc22.i686.rpm
          freesteam-devel-2.1-1.fc22.i686.rpm
          python-freesteam-2.1-1.fc22.i686.rpm
          freesteam-ascend-2.1-1.fc22.i686.rpm
          freesteam-gtk-2.1-1.fc22.i686.rpm
          freesteam-2.1-1.fc22.src.rpm
freesteam.i686: W: shared-lib-calls-exit /usr/lib/libfreesteam.so.1.0 exit@GLIBC_2.0
python-freesteam.i686: W: unstripped-binary-or-object /usr/lib/python2.7/site-packages/_freesteam.so
freesteam-gtk.i686: W: spelling-error %description -l en_US eg -> eh, e, g
freesteam.src:9: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 3)
6 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint freesteam-ascend python-freesteam freesteam freesteam-deve 
l freesteam-gtk
python-freesteam.i686: W: unstripped-binary-or-object /usr/lib/python2.7/site-packages/_freesteam.so
freesteam.i686: W: unused-direct-shlib-dependency /usr/lib/libfreesteam.so.1.0 /lib/libgslcblas.so.0
freesteam.i686: W: unused-direct-shlib-dependency /usr/lib/libfreesteam.so.1.0 /lib/libpthread.so.0
freesteam.i686: W: shared-lib-calls-exit /usr/lib/libfreesteam.so.1.0 exit@GLIBC_2.0
freesteam-gtk.i686: W: spelling-error %description -l en_US eg -> eh, e, g
5 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
freesteam-ascend (rpmlib, GLIBC filtered):
    ascend-data(x86-32)
    freesteam(x86-32)
    libascend.so.1
    libc.so.6
    libfreesteam.so.1
    libpthread.so.0
    rtld(GNU_HASH)

python-freesteam (rpmlib, GLIBC filtered):
    freesteam(x86-32)
    python(abi)

freesteam (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6
    libgsl.so.0
    libgslcblas.so.0
    libm.so.6
    libpthread.so.0
    rtld(GNU_HASH)

freesteam-devel (rpmlib, GLIBC filtered):
    /usr/bin/env
    freesteam(x86-32)
    libfreesteam.so.1

freesteam-gtk (rpmlib, GLIBC filtered):
    freesteam(x86-32)
    libatk-1.0.so.0
    libc.so.6
    libcairo.so.2
    libfontconfig.so.1
    libfreesteam.so.1
    libfreetype.so.6
    libgdk-x11-2.0.so.0
    libgdk_pixbuf-2.0.so.0
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgmodule-2.0.so.0
    libgobject-2.0.so.0
    libgtk-x11-2.0.so.0
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangoft2-1.0.so.0
    libpthread.so.0
    rtld(GNU_HASH)



Provides
--------
freesteam-ascend:
    freesteam-ascend
    freesteam-ascend(x86-32)
    libfreesteam_ascend.so

python-freesteam:
    python-freesteam
    python-freesteam(x86-32)

freesteam:
    freesteam
    freesteam(x86-32)
    libfreesteam.so.1

freesteam-devel:
    freesteam-devel
    freesteam-devel(x86-32)

freesteam-gtk:
    application()
    application(freesteam-gtk.desktop)
    freesteam-gtk
    freesteam-gtk(x86-32)



Unversioned so-files
--------------------
python-freesteam: /usr/lib/python2.7/site-packages/_freesteam.so
freesteam-ascend: /usr/lib/ascend/models/libfreesteam_ascend.so

Source checksums
----------------
http://sourceforge.net/projects/freesteam/files/freesteam/2.1/freesteam-2.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 5993bb3aa8a121256e43363c7c2b66facc53142e0f5ed9e4f5daa492a1a3e976
  CHECKSUM(SHA256) upstream package : 5993bb3aa8a121256e43363c7c2b66facc53142e0f5ed9e4f5daa492a1a3e976


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn freesteam-2.1-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
1. Fix rpmlint issues as many as you can.

2. If gtk requires base package, no need to ship a license again.

3. Please explicitly set @PYTHON@ to %{__python2}, do not leave /usr/bin/env there.

4. %setup -q -n %{name}-%{version} -> %setup -q

5. devel %summary and %description is poor, it not only contains header files.

6. # Uninstalled Python files
mkdir -p %{buildroot}%{python2_sitearch}
install -pm 644 python/freesteam.py %{buildroot}%{python2_sitearch}/
install -pm 644 python/_freesteam.so %{buildroot}%{python2_sitearch}/

.so needs to be set as 755.

7. install -pm 644 -D freesteam-gtk-64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/freesteam-gtk-app.png

Doesn't make too much sense here...

8. cd ../..

Hint, use pushd/popd.

9. mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/icons/hicolor

You don't need these if you use install with -D.

10. rm -f %{buildroot}%{_datadir}/%{name}/icon.png

Why?

11. BuildRequires: scons >= 0.96.92

Drop the version requires, that's too old.

12. If you ship something in hicolor still, please fix gtk-update-icon-cache issue. The culprit is that you put the script to the wrong package(you put it in the library package whereas the -gtk contains the pic.)

Comment 3 Antonio 2014-07-21 17:21:04 UTC
> 3. Please explicitly set @PYTHON@ to %{__python2}, do not leave /usr/bin/env 
> there.

What do you mean?

Comment 4 Christopher Meng 2014-07-22 04:12:52 UTC
env may bring confusion if one deployed serveral virtualenvs there.

Comment 5 Antonio 2014-07-23 15:13:33 UTC
Spec URL: http://sagitter.fedorapeople.org/freesteam/freesteam.spec
SRPM URL: http://sagitter.fedorapeople.org/freesteam/freesteam-2.1-2.fc20.src.rpm

- Fixed Icon Cache scriptlets only for gtk sub-package
- Some manual installation fixes
- Fix instances of #!/usr/bin/env python

Comment 6 Christopher Meng 2014-07-24 08:29:44 UTC
1. Drop this line as well: mkdir -p %{buildroot}%{_datadir}/applications

2. Final question here, main pkg has %doc LICENSE.txt README.txt CHANGELOG.txt. And somehow I think it's better to put README and CHANGELOG to the -devel.

3. Does it support python3?

Nonetheless, PACKAGE APPROVED.

Once above are checked, I will set + here.

Comment 7 Antonio 2014-07-24 16:30:43 UTC
(In reply to Christopher Meng from comment #6)
> 2. Final question here, main pkg has %doc LICENSE.txt README.txt
> CHANGELOG.txt. And somehow I think it's better to put README and CHANGELOG
> to the -devel.

Why? -devel requires main package...

> 
> 3. Does it support python3?

No, I think.

Spec URL: http://sagitter.fedorapeople.org/freesteam/freesteam.spec
SRPM URL: http://sagitter.fedorapeople.org/freesteam/freesteam-2.1-3.20140724svn753.fc20.src.rpm

- New svn release
- Fixed unused-direct-shlib-dependency warnings

Comment 8 Christopher Meng 2014-07-25 00:17:30 UTC
(In reply to Antonio Trande from comment #7)
> (In reply to Christopher Meng from comment #6)
> > 2. Final question here, main pkg has %doc LICENSE.txt README.txt
> > CHANGELOG.txt. And somehow I think it's better to put README and CHANGELOG
> > to the -devel.
> 
> Why? -devel requires main package...

Yes, I mean those README and CHANGELOG are useless for the _use_, so it's better to put them into the -devel.

PACKAGE APPROVED.

Comment 9 Antonio 2014-07-25 15:39:24 UTC
Thank you Christopher.

New Package SCM Request
=======================
Package Name: freesteam
Short Description: Calculate the properties of water and steam
Upstream URL: http://freesteam.sourceforge.net/
Owners: sagitter
Branches: f19 f20

Comment 10 Gwyn Ciesla 2014-07-25 16:03:21 UTC
Git done (by process-git-requests).

Added f21.

Comment 11 Fedora Update System 2014-07-26 09:37:26 UTC
freesteam-2.1-3.20140724svn753.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freesteam-2.1-3.20140724svn753.fc20

Comment 12 Fedora Update System 2014-07-28 03:27:09 UTC
freesteam-2.1-3.20140724svn753.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Fedora Update System 2014-08-07 15:31:46 UTC
freesteam-2.1-3.20140724svn753.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.